@echo off
:Begin
cls
Echo PRINTPMD (Ver2.0, January, 1994)
Echo PMDBM Messagebase EXPORT program, by John Leaver-Power
GET 4E
If Errorlevel 1 goto WinError
GET EE
If not Errorlevel 10 goto EnvError
GET N "Use default PMDBM.EXE path (C:\PMDBM)? [Y/N/ESC to exit] "
If Errorlevel 126 goto EscError
If "%GET%"=="N" goto GetPath
Set PMDPATH=C:\PMDBM
Goto AskBase
:GetPath
GET S "Enter PMDBM.EXE path, no trailing backslash (eg C:\PMDBM) " /VPMDPATH
:AskBase
GET N "Use default Messagebase CFG file (MAILFILE)? [Y/N/ESC to exit] "
If Errorlevel 126 goto EscError
If "%GET%"=="N" goto GetBase
Set PMDCFG=MAILFILE
Goto Build
:GetBase
GET S "Enter Messagebase file to use, NO extension (eg MAILFILE) " /VPMDCFG
:Build
BUILDMAC %PMDPATH% %PMDCFG%
If Errorlevel 3 goto Abort
If Errorlevel 2 goto Begin
If Errorlevel 1 goto NoRunErr
GET Y
MARKNET MARK.MEM /Q
MACRO EXPORT
CD %PMDPATH%
PMDBM /ds:%SORTBY% /f:%PMDCFG%
CD%GET%
RELNET MARK.MEM /H /Q
Cls
Del EXPORT.MAC >Nul
Del FURST.MAC >Nul
GET N "Export another conference from this messagebase? [Y/N] "
If "%GET%"=="Y" goto Build
GET N "Change to a new messagebase? [Y/N] "
If "%GET%"=="Y" goto GetBase
Goto Cleanup
:NoRunErr
Echo Macro build process unsuccessful.
Goto Done
:EscError
Rem  *** ERROR 3 ***
Echo Program terminated at user request. Returned to operating system.
Goto Done
:EnvError
Echo *** ERROR 2 ***
Echo There is insufficient space in the current environment for PRINTPMD.
Echo Required free environment space = 100 bytes
Echo Current free environment space  = %GET% bytes
Echo Modify/add the SHELL statement to your CONFIG.SYS file.
Echo Program terminated. Returned to operating system.
Goto Done
:WinError
Echo *** ERROR 1 ***
Echo This program cannot be run from within Windows.
Echo To run PRINTPMD, close your Windows session first.
Echo Program terminated. Returned to operating system.
Goto Done
:Abort
Echo *** ERROR 8 ***
Echo Program aborted due to unexpected problem in macro build process.
Echo Returned to operating system.
Goto Done
:Cleanup
Echo Doing Cleanup
Set PMDCFG=
Set PMDPATH=
Set GET=
Set SORTBY=
:Done
